Utils (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.jms, class: Utils

Package org.apache.jmeter.protocol.jms

# Class Utils

java.lang.Object
org.apache.jmeter.protocol.jms.Utils

public final class Utils extends Object
Utility methods for JMS protocol. WARNING - the API for this class is likely to change!

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_NO_EXPIRY`
  `static final String`
  `DEFAULT_PRIORITY_4`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Utils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addJMSProperties(javax.jms.Message msg, Map<String,Object> map)`
  Set JMS Properties to msg
  `static void`
  `close(javax.jms.Connection closeable, org.slf4j.Logger log)`
  `static void`
  `close(javax.jms.MessageConsumer closeable, org.slf4j.Logger log)`
  `static void`
  `close(javax.jms.MessageProducer closeable, org.slf4j.Logger log)`
  `static void`
  `close(javax.jms.Session closeable, org.slf4j.Logger log)`
  `static JMSProperties`
  `convertArgumentsToJmsProperties(Arguments args)`
  Converts `Arguments` to `JMSProperties` defaulting to String type Used to convert version <= 2.10 test plans
  `static javax.jms.Connection`
  `getConnection(Context ctx, String factoryName)`
  Obtain the queue connection from the context and factory name.
  `static String`
  `getFromEnvironment(Context context, String key)`
  Get value from Context environment taking into account non fully compliant JNDI implementations
  `static javax.jms.Destination`
  `lookupDestination(Context context, String name)`
  Method will lookup a given destination (topic/queue) using JNDI.
  `static StringBuilder`
  `messageProperties(StringBuilder sb, javax.jms.Message msg)`
  `static String`
  `messageProperties(javax.jms.Message msg)`
  `static StringBuilder`
  `requestHeaders(StringBuilder sb, javax.jms.Message msg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PRIORITY_4

    public static final String DEFAULT_PRIORITY_4
    See Also:
      - Constant Field Values

  - ### DEFAULT_NO_EXPIRY

    public static final String DEFAULT_NO_EXPIRY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Utils

    public Utils()

- ## Method Details

  - ### close

    public static void close(javax.jms.MessageConsumer closeable, org.slf4j.Logger log)

  - ### close

    public static void close(javax.jms.Session closeable, org.slf4j.Logger log)

  - ### close

    public static void close(javax.jms.Connection closeable, org.slf4j.Logger log)

  - ### close

    public static void close(javax.jms.MessageProducer closeable, org.slf4j.Logger log)
    Parameters:
      `closeable` - `MessageProducer`
      `log` - `Logger`

  - ### messageProperties

    public static String messageProperties(javax.jms.Message msg)

  - ### messageProperties

    public static StringBuilder messageProperties(StringBuilder sb, javax.jms.Message msg)

  - ### requestHeaders

    public static StringBuilder requestHeaders(StringBuilder sb, javax.jms.Message msg)

  - ### lookupDestination

    public static javax.jms.Destination lookupDestination(Context context, String name) throws NamingException
    Method will lookup a given destination (topic/queue) using JNDI.
    Parameters:
      `context` - context to use for lookup
      `name` - the destination name
    Returns:
      the destination, never null
    Throws:
      `NamingException` - if the name cannot be found as a Destination

  - ### getFromEnvironment

    public static String getFromEnvironment(Context context, String key) throws NamingException
    Get value from Context environment taking into account non fully compliant JNDI implementations
    Parameters:
      `context` - context to use
      `key` - key to lookup in contexts environment
    Returns:
      String or `null` if context.getEnvironment() is not compliant
    Throws:
      `NamingException` - if a naming problem occurs while getting the environment

  - ### getConnection

    public static javax.jms.Connection getConnection(Context ctx, String factoryName) throws javax.jms.JMSException, NamingException
    Obtain the queue connection from the context and factory name.
    Parameters:
      `ctx` - context to use
      `factoryName` - name of the object factory to look up in `context`
    Returns:
      the queue connection
    Throws:
      `javax.jms.JMSException` - when creation of the connection fails
      `NamingException` - when lookup in context fails

  - ### addJMSProperties

    public static void addJMSProperties(javax.jms.Message msg, Map<String,Object> map) throws javax.jms.JMSException
    Set JMS Properties to msg
    Parameters:
      `msg` - Message to operate on
      `map` - Map of Properties to be set on the message
    Throws:
      `javax.jms.JMSException` - when `msg` throws a `JMSException` while the properties get set

  - ### convertArgumentsToJmsProperties

    public static JMSProperties convertArgumentsToJmsProperties(Arguments args)
    Converts `Arguments` to `JMSProperties` defaulting to String type Used to convert version <= 2.10 test plans
    Parameters:
      `args` - `Arguments` to be converted
    Returns:
      jmsProperties The converted `JMSProperties`